summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2015-11-27 15:06:37 -0500
committerAnthony G. Basile <blueness@gentoo.org>2015-11-27 15:08:39 -0500
commit3121d9bc59a2ba614c279b0591bffd4dd95852a4 (patch)
tree9c3728bd71fd935facd3710e6e6c7f50102ee866 /net-p2p/bitcoind
parentnet-p2p/bitcoin-cli: remove older unstable versions (diff)
downloadgentoo-3121d9bc59a2ba614c279b0591bffd4dd95852a4.tar.gz
gentoo-3121d9bc59a2ba614c279b0591bffd4dd95852a4.tar.bz2
gentoo-3121d9bc59a2ba614c279b0591bffd4dd95852a4.zip
net-p2p/bitcoind: version bump to 0.11.2
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'net-p2p/bitcoind')
-rw-r--r--net-p2p/bitcoind/Manifest2
-rw-r--r--net-p2p/bitcoind/bitcoind-0.11.2.ebuild71
2 files changed, 73 insertions, 0 deletions
diff --git a/net-p2p/bitcoind/Manifest b/net-p2p/bitcoind/Manifest
index b77570cf3a8..0bacd585586 100644
--- a/net-p2p/bitcoind/Manifest
+++ b/net-p2p/bitcoind/Manifest
@@ -1,6 +1,7 @@
DIST bitcoin-0.10.1.ljr20150428.patches.tar.xz 34980 SHA256 f3770c478bd541fcc75c1f64664ae810aa67da7535f11859034dcc7067546713 SHA512 edf7c8aa81c8890da61224eddde61cec62058514fa76a50ab25cc7db272f6c656f5c46f8b9468f6059eb7c1be624de834867c0a7c1c2559a5231b763e40c13a2 WHIRLPOOL 2b8d878bf3d599393da177403e2199e63bb2634d14438079b5c8821c07441e26fb8b5cd150281c9923534f474763d9f3c2cab9424ab7a319de059c1b3bb49c4e
DIST bitcoin-0.11.0.ljr20150711.patches.tar.xz 79740 SHA256 2f9608ee18f10fccaeda239baf82fd74180a562eb92aec72f7959c7211228bbb SHA512 cafa5cf0b7a56894b07e949bb401016c46456f6043da86f54023f930e9836a420c88ca9e94067edcf2150495cb637b1938478332f7f7669394ea90351f3b4623 WHIRLPOOL 1bab46c50b7bc8709359ea98a9a75f4b476dd81540421f6696b4085f4acf8fd3d040e591230df1f83625ada89d0d178040f747ae02f76d1dd73787c86e73dac4
DIST bitcoin-0.11.1.ljr20150921.patches.tar.xz 85116 SHA256 b8f7912a90f74dbd710f769e2d5df79ad494caef98a34ddd08496870d8826cd8 SHA512 f428fbd726cba8f82a0afe1dd09bed477896c7186770eb0da53e12f342d5dc260419c2c216d8fdad5038a18d88ca746b9c275d50659fbefc6d2b456ce8e5aade WHIRLPOOL de1a89142bcb2a6df11466cc497ff6d6d599cdca909c14b713dd5579e243fb27fdd0baeb3de4205645fa34bf403cc3b3d50137a45be62955382f038146586c3a
+DIST bitcoin-0.11.2.ljr20151118.patches.tar.xz 98552 SHA256 de44c8604de476d282820c2419ccbba3bef3eb054887cdd16b0ab4e7ff450dcb SHA512 283d0b6550fa1c6d2347e146c350b2afb9d7ca0c2e8ad150a8dcb6c0522abd17ca31ba8dcdee7e2d7020561be6e8bdc9bd33f7d21e7901ca675ff990441a97ef WHIRLPOOL 24f25ba32d1c22e1e795aba13e202af661b9e23992b633382cdd62953d744862901494726c36075eb0ae186bd6e60e4c15148e0f46a2401efffa1b419b4d2390
DIST bitcoin-rbf-v0.10.2-r1.patch 26987 SHA256 a5dcd50134fe9872c0460746da2d743864525a775150304473a5588aa6c516e6 SHA512 2e88d185dd8d5845a7286dda130ab6d73328a09f7623387d68437be5e655e9657a1e392e9c6a0004856127738f340a77283206a0a8183f2ee9407ddf43328e7f WHIRLPOOL 39ffca7486964eb25f5de4ccfc4a1aff4078b1a08d907300ea06f51189bdb0c6514dbd9565ce615de6d776bf01faa1dabae5cb0c4628ef8d3dd686f6300c037a
DIST bitcoin-rbf-v0.10.2.patch 25171 SHA256 2610cca0d758c502b71a13184643fe00c9dcb7a2b258f943f33a4534ec1f6cd5 SHA512 855e5e497a371b1e503ab5a0c1fbdb7cb3c30c318b19c32c220d8e6e0b2ae06ca6e63ac27fcb23b51b01c5573c6ea94417ec9d395174ae4f01ad9a0ed4c28c51 WHIRLPOOL 9e67a1d03eb7e40431623818230f2c94e811402a5da6f36dd950cc8a92cc76797ba770c3586ff88477d74b7ee21c9b93704ccead7b489678911dda1394f34fda
DIST bitcoin-rbf-v0.11.0rc3.patch 27178 SHA256 976e3007121a69630b74c6106f41ebc48b97476ac647e0872d3aaa08a64ec52f SHA512 dc1c46b731dd78bbcb2e7b066dd74aaf0adf39c672847349ed7ebf00012481d3105cebc753dd3bccbe0c35c49bf9dc1546cc8e4d0cc5509d449115e53e91fcc2 WHIRLPOOL de7bd2c1a45369baeac8e311fcd3f9b37e6ab84b99362bb05a5f3f8d6990ea2ad5f509b389b0962bf679ced9dca70c0825e35ae02d97b389101108d2d80be589
@@ -8,4 +9,5 @@ DIST bitcoin-v0.10.2-r1.tgz 5076702 SHA256 9bee2b9fe0c236f9f75bfc05c59df238c9424
DIST bitcoin-v0.10.2.tgz 5053846 SHA256 51bff5ba2372ca53782c5fec3d9b4b4226e94b5ac0b1b4b2b5949b97082af256 SHA512 f89330b93f22ba5f393c9a7a48ce28196be0e16468e5d99c459e889c458cc3a7c3f6e4537996571aa8ccb0ebb2eedf80ad028da136a2e08e2f8631f69ac5f2fc WHIRLPOOL 0cfb182f355151cde75601d2260cc92801e2dc1231ae2fca67610e699bb5f0cae826b09f456ca8afa283730954f11a8b180f43ae5a5297d129093fc0f9f53b4e
DIST bitcoin-v0.11.0.tgz 5898627 SHA256 a52cb63e96a13626243c78662ea659c90277728b8f40d27846e82fdf81ce58e3 SHA512 bf1e05e115ecc375bfe9e342bf65db74784926e599a05f42f33b43781775d0469826228876269fcdc8a469bce45cb3dd4513e1f9dda5d36cc40adbb9aaf6f054 WHIRLPOOL ca2f3feb9815ad9bfac0b573bc0a3a7bb55bb7467724d84a6baf6a469983625727bb0fd01722a0be74e2df0a29833aadc152d036819be660270733b57089e9bf
DIST bitcoin-v0.11.1.tgz 5945124 SHA256 3b6907c70a0d79823e873f9212f253b5abc96c61859d9686d102a1a08be8febc SHA512 8c4acf0386a5a17525ac4fa5ecfb66ff13fde65052b4aeba9f847344c9149ddff2af81323b6b9a675ea9fdc76f654546f96725a7fb80a9e4aa545f5ede17ee63 WHIRLPOOL 4f4984d8a4af5604a47dc0c5538b35a9233c09c0181929ca285bd89368044d11eb6be4eb376eaf1e9c695078deb243abdfb0bbd36a161ffdf043a5db0f424dcc
+DIST bitcoin-v0.11.2.tgz 5958338 SHA256 1adb0b5ea6dcbf9e3de9c6338b4f0d0abc6f72d8023ac5451370cdf43c9971c4 SHA512 0a76ca482c71e9a88e14e274d082bce796b2a9abd48d0fb40e41d169479ced144530825b36e1ab0953dac80b823607aaa8be52fe631f7df9a5062dc2a4bf4e66 WHIRLPOOL 9d8c98b45919e3323a27eacf1c0cc28d992bf7fe1cef9f738dab880e104613e8fb9184ecaa5ad3ea2234625254f3329c7ab5c939f6076d50b9f1ce970db85b9d
DIST bitcoinxt-v0.10.2.patch 72007 SHA256 f2694f976803dfd8cba11cddd6ee2bdd441737d9b82c9d7550f0f362603223b5 SHA512 6b993859b07d28ed8eac79711c0580d29267c1158838772970fe22e88d68f42f46758494e4430b9470ad529e05b24a936052bbb6747c04b54aa8a95694442747 WHIRLPOOL bbf0904cb06f547976edca2f36f49b1352d4c3e99798b19d45f5c34a74167c8db86017c9fdbaca90f3b7de38ece5f3c527e67e97ccbffdd99abd840f6cd335e4
diff --git a/net-p2p/bitcoind/bitcoind-0.11.2.ebuild b/net-p2p/bitcoind/bitcoind-0.11.2.ebuild
new file mode 100644
index 00000000000..ae38e8ce005
--- /dev/null
+++ b/net-p2p/bitcoind/bitcoind-0.11.2.ebuild
@@ -0,0 +1,71 @@
+# Copyright 2010-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+BITCOINCORE_COMMITHASH="7e278929df53e1fb4191bc5ba3176a177ce718bf"
+BITCOINCORE_LJR_DATE="20151118"
+BITCOINCORE_IUSE="addrindex examples ljr test upnp +wallet zeromq"
+BITCOINCORE_ADDRINDEX_DIFF="7e278929df53e1fb4191bc5ba3176a177ce718bf...fddd278524c96aac9de63edeae5aef247ece4af4"
+BITCOINCORE_ADDRINDEX_PATCHFILE="bitcoin-addrindex-v0.11.2.patch"
+BITCOINCORE_POLICY_PATCHES="cpfp dcmp rbf spamfilter"
+BITCOINCORE_NEED_LEVELDB=1
+BITCOINCORE_NEED_LIBSECP256K1=1
+inherit bash-completion-r1 bitcoincore user systemd
+
+DESCRIPTION="Original Bitcoin crypto-currency wallet for automated services"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~x86 ~amd64-linux ~x86-linux"
+
+pkg_setup() {
+ local UG='bitcoin'
+ enewgroup "${UG}"
+ enewuser "${UG}" -1 -1 /var/lib/bitcoin "${UG}"
+}
+
+src_prepare() {
+ sed -i 's/have bitcoind &&//;s/^\(complete -F _bitcoind bitcoind\) bitcoin-cli$/\1/' contrib/${PN}.bash-completion || die
+ bitcoincore_src_prepare
+}
+
+src_configure() {
+ bitcoincore_conf \
+ --with-daemon
+}
+
+src_install() {
+ bitcoincore_src_install
+
+ insinto /etc/bitcoin
+ newins "${FILESDIR}/bitcoin.conf" bitcoin.conf
+ fowners bitcoin:bitcoin /etc/bitcoin/bitcoin.conf
+ fperms 600 /etc/bitcoin/bitcoin.conf
+
+ newconfd "contrib/init/bitcoind.openrcconf" ${PN}
+ newinitd "contrib/init/bitcoind.openrc" ${PN}
+ systemd_dounit "${FILESDIR}/bitcoind.service"
+
+ keepdir /var/lib/bitcoin/.bitcoin
+ fperms 700 /var/lib/bitcoin
+ fowners bitcoin:bitcoin /var/lib/bitcoin/
+ fowners bitcoin:bitcoin /var/lib/bitcoin/.bitcoin
+ dosym /etc/bitcoin/bitcoin.conf /var/lib/bitcoin/.bitcoin/bitcoin.conf
+
+ dodoc doc/assets-attribution.md doc/bips.md doc/tor.md
+ doman contrib/debian/manpages/{bitcoind.1,bitcoin.conf.5}
+
+ use zeromq && dodoc doc/zmq.md
+
+ newbashcomp contrib/${PN}.bash-completion ${PN}
+
+ if use examples; then
+ docinto examples
+ dodoc -r contrib/{bitrpc,qos,spendfrom,tidy_datadir.sh}
+ use zeromq && dodoc -r contrib/zmq
+ fi
+
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}/bitcoind.logrotate-r1" bitcoind
+}